Bug 1182373 - [RFE][HC] - UI should allow a start with force option for a glusterfs volume in degraded state
Summary: [RFE][HC] - UI should allow a start with force option for a glusterfs volume ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.0.0-alpha
: 4.0.0
Assignee: anmol babu
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: Generic_Hyper_Converged_Host Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2015-01-15 00:41 UTC by Paul Cuzner
Modified: 2016-08-21 23:09 UTC (History)
14 users (show)

Fixed In Version: 4.0.0
Doc Type: Enhancement
Doc Text:
When one or more bricks are down on a started volume, you can now force start the brick(s) through the Administration Portal.
Clone Of:
Environment:
Last Closed: 2016-08-12 14:05:40 UTC
oVirt Team: Gluster
ylavi: ovirt-4.0.0?
rule-engine: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
volume start force option (160.03 KB, image/png)
2016-08-11 12:22 UTC, RamaKasturi
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 43580 master MERGED webadmin: Enable force start gluster volume Never

Description Paul Cuzner 2015-01-15 00:41:10 UTC
Description of problem:
when a volume has a brick down, but the other bricks are online the UI does not provide the admin with a start force option to bring the brick process back up. This means the admin has to logon to one of the nodes to issue the start from the CLI. In the hyperconverged use case, CLI level interaction is undesireable and problems like these should be resolved in the UI.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create a volume
2. kill a brick
3. start option is greyed out.

Actual results:
unable to get the brick process back online from the UI

Expected results:
a start for a volume in degraded should be allowed, to force missing processes to restart.

Additional info:

Comment 2 anmol babu 2015-09-23 05:34:18 UTC
Moved it to ON_QA the patch is already merged and in 3.6 but I missed it accidentlly

Comment 3 Yaniv Kaul 2015-12-12 16:51:58 UTC
How is it ON_QA for 4.0 already? (see target milestone and target release fields)

Comment 4 Yaniv Kaul 2015-12-12 16:52:23 UTC
How is it ON_QA for 4.0 already? (see target milestone and target release fields)

Comment 5 anmol babu 2016-08-10 09:15:32 UTC
@Yaniv, my apologies, this was wrongly moved on_qa as the patch was merged.

Comment 6 RamaKasturi 2016-08-11 12:21:08 UTC
Verified and works fine with build ovirt-engine-4.0.2.2-0.1.el7ev.noarch.

Tested the following scenarios:
===============================
1) Kill one brick and start force from UI.
2) Kill two or more bricks and start force from UI.
3) start force all the volumes where some of the bricks are down.
4) start  button gets enabled only when volume is stopped/ some of the bricks in the volume are down.

Attaching the screenshot for the same.

Comment 7 RamaKasturi 2016-08-11 12:22:28 UTC
Created attachment 1190047 [details]
volume start force option


Note You need to log in before you can comment on or make changes to this bug.